Docs
Accounts
GET
/accounts

Requires accounts:read.

Authorization

bearerAuth
AuthorizationBearer <token>

API key starting with fh_

In: header

Query Parameters

profileId?string

Only accounts of this profile

Match^prof_[0-9a-fA-F]{32}$
platform?string

Platform id. Publishing works on tiktok, instagram, linkedin, twitter, bluesky, pinterest today; the others are planned

Value in"twitter" | "linkedin" | "instagram" | "facebook" | "tiktok" | "youtube" | "threads" | "bluesky" | "pinterest"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://feedhorizon.com/api/v1/accounts"
{
  "data": [
    {
      "id": "acc_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
      "profileId": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
      "platform": "twitter",
      "platformAccountId": "1854123456",
      "displayName": "Soup Club",
      "username": "soupclub",
      "avatarUrl": "https://pbs.twimg.com/profile_images/1854/soup.jpg",
      "status": "active",
      "tokenExpiresAt": "2026-11-10T08:00:00.000Z",
      "createdAt": "2026-11-10T08:00:00.000Z"
    }
  ],
  "nextCursor": "string"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "validation_failed",
    "message": "One or more fields are invalid, see details",
    "docUrl": "https://feedhorizon.com/docs/api/errors#invalid_request_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "No Authorization: Bearer header",
    "docUrl": "https://feedhorizon.com/docs/api/errors#authentication_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "permission_error",
    "code": "insufficient_scope",
    "message": "The key lacks the scope for this endpoint",
    "docUrl": "https://feedhorizon.com/docs/api/errors#permission_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "rate_limit_error",
    "code": "rate_limited",
    "message": "Too many requests. Wait the seconds in Retry-After",
    "docUrl": "https://feedhorizon.com/docs/api/errors#rate_limit_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "Something failed on our side. Retry with backoff, using the same Idempotency-Key for writes",
    "docUrl": "https://feedhorizon.com/docs/api/errors#api_error",
    "requestId": "req_m2x81a0kfd3h9s"
  }
}